"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var Emotion_1 = require("../../lib/theming/Emotion");
var Button_module_less_1 = tslib_1.__importDefault(require("./Button.module.less"));
var DimensionFunctions_1 = tslib_1.__importDefault(require("../../lib/styles/DimensionFunctions"));
var getBtnPadding = function (fontSize, paddingY, paddingX, additionalOffset) {
    if (additionalOffset === void 0) { additionalOffset = 0; }
    var _a, _b;
    var paddingTop = paddingY;
    var paddingBottom = paddingY;
    var shiftUp = function (top, bottom, offset) {
        return [DimensionFunctions_1.default.shift(top, "" + -offset), DimensionFunctions_1.default.shift(bottom, "" + offset)];
    };
    if (fontSize === '16px') {
        _a = shiftUp(paddingTop, paddingBottom, 1), paddingTop = _a[0], paddingBottom = _a[1];
    }
    if (additionalOffset) {
        _b = shiftUp(paddingTop, paddingBottom, additionalOffset), paddingTop = _b[0], paddingBottom = _b[1];
    }
    return paddingTop + " " + paddingX + " " + paddingBottom;
};
exports.buttonUseMixin = function (btnBackground, btnBackgroundStart, btnBackgroundEnd, arrowBackgroundStart, arrowBackgroundEnd, shadow, shadowArrow, shadowArrowLeft, color, border) {
    return Emotion_1.css(templateObject_1 || (templateObject_1 = tslib_1.__makeTemplateObject(["\n    background: ", ";\n    color: ", ";\n    box-shadow: ", ";\n    border: ", ";\n\n    .", " {\n      background: ", ";\n      box-shadow: ", ";\n    }\n\n    .", " {\n      background: ", ";\n      box-shadow: ", ";\n    }\n  "], ["\n    background: ",
        ";\n    color: ", ";\n    box-shadow: ", ";\n    border: ", ";\n\n    .", " {\n      background: ",
        ";\n      box-shadow: ", ";\n    }\n\n    .", " {\n      background: ",
        ";\n      box-shadow: ", ";\n    }\n  "])), btnBackgroundStart === btnBackgroundEnd && btnBackground
        ? btnBackground
        : "linear-gradient(" + btnBackgroundStart + ", " + btnBackgroundEnd + ")", color, shadow, border, Button_module_less_1.default.arrow, arrowBackgroundStart === arrowBackgroundEnd
        ? arrowBackgroundStart
        : "linear-gradient(to bottom right, " + arrowBackgroundStart + ", " + arrowBackgroundEnd + ")", shadowArrow, Button_module_less_1.default.arrow_left, arrowBackgroundStart === arrowBackgroundEnd
        ? arrowBackgroundStart
        : "linear-gradient(to top left, " + arrowBackgroundStart + ", " + arrowBackgroundEnd + ")", shadowArrowLeft);
};
exports.buttonHoverMixin = function (btnBackground, btnBackgroundStart, btnBackgroundEnd, arrowBackgroundStart, arrowBackgroundEnd, btnShadow, arrowShadow, arrowLeftShadow, btnBorder) {
    return Emotion_1.css(templateObject_2 || (templateObject_2 = tslib_1.__makeTemplateObject(["\n    &:hover {\n      background: ", ";\n      box-shadow: ", ";\n      border-color: ", ";\n\n      .", " {\n        background: ", ";\n        box-shadow: ", ";\n      }\n\n      .", " {\n        background: ", ";\n        box-shadow: ", ";\n      }\n    }\n  "], ["\n    &:hover {\n      background: ",
        ";\n      box-shadow: ", ";\n      border-color: ", ";\n\n      .", " {\n        background: ",
        ";\n        box-shadow: ", ";\n      }\n\n      .", " {\n        background: ",
        ";\n        box-shadow: ", ";\n      }\n    }\n  "])), btnBackgroundStart === btnBackgroundEnd && btnBackground
        ? btnBackground
        : "linear-gradient(" + btnBackgroundStart + ", " + btnBackgroundEnd + ")", btnShadow, btnBorder, Button_module_less_1.default.arrow, arrowBackgroundStart === arrowBackgroundEnd
        ? arrowBackgroundStart
        : "linear-gradient(to bottom right, " + arrowBackgroundStart + ", " + arrowBackgroundEnd + ")", arrowShadow, Button_module_less_1.default.arrow_left, arrowBackgroundStart === arrowBackgroundEnd
        ? arrowBackgroundStart
        : "linear-gradient(to top left, " + arrowBackgroundStart + ", " + arrowBackgroundEnd + ")", arrowLeftShadow);
};
exports.buttonActiveMixin = function (btnBackground, arrowBackground, arrowLeftBackground, btnShadow, arrowShadow, arrowLeftShadow) {
    return Emotion_1.css(templateObject_3 || (templateObject_3 = tslib_1.__makeTemplateObject(["\n    &:active,\n    &.", " {\n      background: ", ";\n      box-shadow: ", ";\n\n      .", " {\n        background: ", ";\n        box-shadow: ", ";\n      }\n\n      .", " {\n        background: ", ";\n        box-shadow: ", ";\n      }\n    }\n  "], ["\n    &:active,\n    &.", " {\n      background: ", ";\n      box-shadow: ", ";\n\n      .", " {\n        background: ", ";\n        box-shadow: ", ";\n      }\n\n      .", " {\n        background: ", ";\n        box-shadow: ", ";\n      }\n    }\n  "])), Button_module_less_1.default.active, btnBackground, btnShadow, Button_module_less_1.default.arrow, arrowBackground, arrowShadow, Button_module_less_1.default.arrow_left, arrowLeftBackground, arrowLeftShadow);
};
exports.buttonSizeMixin = function (fontSize, height, heightShift, lineHeight, paddingX, paddingY) {
    return Emotion_1.css(templateObject_4 || (templateObject_4 = tslib_1.__makeTemplateObject(["\n    font-size: ", ";\n\n    &:not(.", ") {\n      height: ", ";\n      padding: ", ";\n      line-height: ", ";\n\n      .rt-ie-any & {\n        padding: ", ";\n      }\n    }\n  "], ["\n    font-size: ", ";\n\n    &:not(.", ") {\n      height: ", ";\n      padding: ", ";\n      line-height: ", ";\n\n      .rt-ie-any & {\n        padding: ", ";\n      }\n    }\n  "])), fontSize, Button_module_less_1.default.link, DimensionFunctions_1.default.shift(height, heightShift), getBtnPadding(fontSize, paddingY, paddingX), lineHeight, getBtnPadding(fontSize, paddingY, paddingX, 1));
};
var templateObject_1, templateObject_2, templateObject_3, templateObject_4;
//# sourceMappingURL=Button.mixins.js.map