"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var fbemitter_1 = require("fbemitter");
var emitterCache;
function getEmitter() {
    if (!emitterCache) {
        emitterCache = new fbemitter_1.EventEmitter();
    }
    return emitterCache;
}
function addListener(callback) {
    var emitter = getEmitter();
    var token = emitter.addListener('CalendarScroll', callback);
    return {
        remove: function () {
            token.remove();
        },
    };
}
function emit() {
    getEmitter().emit('CalendarScroll');
}
exports.default = {
    addListener: addListener,
    emit: emit,
};
//# sourceMappingURL=CalendarScrollEvents.js.map