"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var Emotion_1 = require("../../lib/theming/Emotion");
var ColorFunctions_1 = tslib_1.__importDefault(require("../../lib/styles/ColorFunctions"));
var jsStyles = {
    root: function (t) {
        return Emotion_1.css(templateObject_1 || (templateObject_1 = tslib_1.__makeTemplateObject(["\n      display: inline-flex;\n      vertical-align: top;\n      align-items: start;\n      cursor: pointer;\n      position: relative;\n      user-select: none;\n      line-height: 20px;\n\n      &:hover .", " {\n        background: ", ";\n        box-shadow: ", ";\n      }\n\n      &:active .", " {\n        box-shadow: ", ";\n        background: ", ";\n      }\n\n      &.", " {\n        color: ", ";\n      }\n\n      .rt-ie-any & {\n        display: inline-table;\n      }\n    "], ["\n      display: inline-flex;\n      vertical-align: top;\n      align-items: start;\n      cursor: pointer;\n      position: relative;\n      user-select: none;\n      line-height: 20px;\n\n      &:hover .", " {\n        background: ", ";\n        box-shadow: ", ";\n      }\n\n      &:active .", " {\n        box-shadow: ", ";\n        background: ", ";\n      }\n\n      &.", " {\n        color: ", ";\n      }\n\n      .rt-ie-any & {\n        display: inline-table;\n      }\n    "])), exports.classes.box, t.chbHoverBg, t.chbShadowHover, exports.classes.box, t.chbShadowActive, t.chbActiveBg, exports.classes.disabled, t.textColorDisabled);
    },
    box: function (t) {
        return Emotion_1.css(templateObject_2 || (templateObject_2 = tslib_1.__makeTemplateObject(["\n      display: flex;\n      align-items: center;\n      justify-content: center;\n      box-sizing: border-box;\n      width: 16px;\n      height: 16px;\n      flex: none;\n      margin-top: 2px;\n      font-size: 14px;\n      color: ", ";\n      border: ", ";\n      border-radius: ", ";\n      box-shadow: ", ";\n      background: ", ";\n\n      .", " & {\n        box-shadow: ", " !important; //to override hover and active\n        background: ", " !important;\n        color: ", " !important;\n      }\n\n      .rt-ie-any & {\n        margin-top: 3px;\n      }\n    "], ["\n      display: flex;\n      align-items: center;\n      justify-content: center;\n      box-sizing: border-box;\n      width: 16px;\n      height: 16px;\n      flex: none;\n      margin-top: 2px;\n      font-size: 14px;\n      color: ", ";\n      border: ", ";\n      border-radius: ", ";\n      box-shadow: ", ";\n      background: ", ";\n\n      .", " & {\n        box-shadow: ", " !important; //to override hover and active\n        background: ", " !important;\n        color: ", " !important;\n      }\n\n      .rt-ie-any & {\n        margin-top: 3px;\n      }\n    "])), t.textColorDefault, t.chbBorder, t.chbBorderRadius, t.chbShadow, t.chbBg, exports.classes.disabled, t.chbShadowDisabled, t.bgDisabled, t.textColorDisabled);
    },
    input: function (t) {
        return Emotion_1.css(templateObject_3 || (templateObject_3 = tslib_1.__makeTemplateObject(["\n      display: inline-block;\n      opacity: 0;\n      width: 0;\n      height: 0;\n      position: absolute;\n      z-index: -1;\n    "], ["\n      display: inline-block;\n      opacity: 0;\n      width: 0;\n      height: 0;\n      position: absolute;\n      z-index: -1;\n    "])));
    },
    indeterminate: function (t) {
        return Emotion_1.css(templateObject_4 || (templateObject_4 = tslib_1.__makeTemplateObject(["\n      width: 8px;\n      height: 8px;\n      background: ", ";\n      border-radius: ", ";\n\n      .", " & {\n        background: ", ";\n      }\n    "], ["\n      width: 8px;\n      height: 8px;\n      background: ", ";\n      border-radius: ", ";\n\n      .", " & {\n        background: ", ";\n      }\n    "])), t.chbIndeterminateBg, t.chbIndeterminateBorderRadius, exports.classes.disabled, t.textColorDisabled);
    },
    warning: function (t) {
        return Emotion_1.css(templateObject_5 || (templateObject_5 = tslib_1.__makeTemplateObject(["\n      & .", " {\n        box-shadow: inset 0 0 0 1px ", ", 0 0 0 ", " ", " !important;\n      }\n    "], ["\n      & .", " {\n        box-shadow: inset 0 0 0 1px ", ", 0 0 0 ", " ", " !important;\n      }\n    "])), exports.classes.box, t.outlineColorFocus, t.chbShadowWidth, t.borderColorWarning);
    },
    error: function (t) {
        return Emotion_1.css(templateObject_6 || (templateObject_6 = tslib_1.__makeTemplateObject(["\n      & .", " {\n        box-shadow: inset 0 0 0 1px ", ", 0 0 0 ", " ", " !important;\n      }\n    "], ["\n      & .", " {\n        box-shadow: inset 0 0 0 1px ", ", 0 0 0 ", " ", " !important;\n      }\n    "])), exports.classes.box, t.outlineColorFocus, t.chbShadowWidth, t.borderColorError);
    },
    checked: function (t) {
        return Emotion_1.css(templateObject_7 || (templateObject_7 = tslib_1.__makeTemplateObject(["\n      & .", " {\n        background: ", ";\n        color: ", ";\n        box-shadow: ", ";\n      }\n\n      &:hover .", " {\n        box-shadow: ", ";\n        background: ", ";\n      }\n\n      &:active .", " {\n          background: ", ";\n        }\n      }\n    "], ["\n      & .", " {\n        background: ", ";\n        color: ", ";\n        box-shadow: ", ";\n      }\n\n      &:hover .", " {\n        box-shadow: ", ";\n        background: ", ";\n      }\n\n      &:active .", " {\n          background: ", ";\n        }\n      }\n    "])), exports.classes.box, t.chbCheckedBg, t.chbCheckedColor, t.chbCheckedShadow, exports.classes.box, t.chbCheckedHoverShadow, ColorFunctions_1.default.darken(t.chbCheckedBg, '5%'), exports.classes.box, ColorFunctions_1.default.darken(t.chbCheckedBg, '15%'));
    },
    focus: function (t) {
        return Emotion_1.css(templateObject_8 || (templateObject_8 = tslib_1.__makeTemplateObject(["\n      & .", " {\n        box-shadow: inset 0 0 0 1px ", ", 0 0 0 ", " ", " !important;\n      }\n    "], ["\n      & .", " {\n        box-shadow: inset 0 0 0 1px ", ", 0 0 0 ", " ", " !important;\n      }\n    "])), exports.classes.box, t.outlineColorFocus, t.chbShadowWidth, t.chbBorderColorFocus);
    },
    disabled: function (t) {
        return Emotion_1.css(templateObject_9 || (templateObject_9 = tslib_1.__makeTemplateObject(["\n      cursor: default;\n    "], ["\n      cursor: default;\n    "])));
    },
    boxIndeterminate: function (t) {
        return Emotion_1.css(templateObject_10 || (templateObject_10 = tslib_1.__makeTemplateObject(["\n      background: ", ";\n      box-shadow: ", ";\n\n      .", ":hover & {\n        background: ", ";\n        box-shadow: ", ";\n      }\n      .", ":active & {\n        background: ", ";\n      }\n    "], ["\n      background: ", ";\n      box-shadow: ", ";\n\n      .", ":hover & {\n        background: ", ";\n        box-shadow: ", ";\n      }\n      .", ":active & {\n        background: ", ";\n      }\n    "])), t.chbBoxIndeterminateBg, t.chbCheckedShadow, exports.classes.root, ColorFunctions_1.default.darken(t.chbBoxIndeterminateBg, '5%'), t.chbCheckedHoverShadow, exports.classes.root, ColorFunctions_1.default.darken(t.chbBoxIndeterminateBg, '15%'));
    },
    caption: function (t) {
        return Emotion_1.css(templateObject_11 || (templateObject_11 = tslib_1.__makeTemplateObject(["\n      padding-left: 10px;\n\n      .rt-ie-any & {\n        display: table-cell;\n      }\n    "], ["\n      padding-left: 10px;\n\n      .rt-ie-any & {\n        display: table-cell;\n      }\n    "])));
    },
    boxWrapperIE11: function (t) {
        return Emotion_1.css(templateObject_12 || (templateObject_12 = tslib_1.__makeTemplateObject(["\n      display: table-cell;\n      vertical-align: top;\n      text-align: center;\n    "], ["\n      display: table-cell;\n      vertical-align: top;\n      text-align: center;\n    "])));
    },
};
exports.classes = Emotion_1.prefixer({
    root: 'root',
    box: 'box',
    disabled: 'disabled',
});
exports.default = jsStyles;
var templateObject_1, templateObject_2, templateObject_3, templateObject_4, templateObject_5, templateObject_6, templateObject_7, templateObject_8, templateObject_9, templateObject_10, templateObject_11, templateObject_12;
//# sourceMappingURL=Checkbox.styles.js.map