import { Selection } from './SelectionHelper';
import { Nullable } from '../../typings/utility-types';
export interface DecimalOptions {
    integerDigits?: Nullable<number>;
    fractionDigits?: Nullable<number>;
    unsigned?: boolean;
}
export default class CurrencyInputHelper {
    static moveCursor(value: string, selection: Selection, step: number): number;
    static extendSelection(value: string, selection: Selection, step: number): Selection;
    static normalizeSelection(value: string, selection: Selection): Selection;
    static safeInsert(value: string, start: number, end: number, input: string, options: DecimalOptions): {
        value: string;
        position: number;
    } | null;
    static insert(value: string, start: number, end: number, input: string): {
        value: string;
        position: number;
    };
}
