"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var constants_1 = require("../../lib/date/constants");
var InternalDate_1 = require("../../lib/date/InternalDate");
var types_1 = require("../../lib/date/types");
var Checkbox_1 = tslib_1.__importDefault(require("../Checkbox"));
var Gapped_1 = tslib_1.__importDefault(require("../Gapped"));
var ViewDateInputValidateChecks = /** @class */ (function (_super) {
    tslib_1.__extends(ViewDateInputValidateChecks, _super);
    function ViewDateInputValidateChecks() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ViewDateInputValidateChecks.prototype.render = function () {
        var internalDate = new InternalDate_1.InternalDate();
        internalDate.parseInternalValue(this.props.value);
        internalDate.setRangeStart(this.props.minDate ? new InternalDate_1.InternalDate().parseInternalValue(this.props.minDate) : null);
        internalDate.setRangeEnd(this.props.maxDate ? new InternalDate_1.InternalDate().parseInternalValue(this.props.maxDate) : null);
        return (react_1.default.createElement(Gapped_1.default, { gap: 10, vertical: true },
            react_1.default.createElement("h3", null, "\u0412\u043D\u0443\u0442\u0440\u0435\u043D\u043D\u0438\u0435 \u043F\u0440\u043E\u0432\u0435\u0440\u043A\u0438"),
            react_1.default.createElement(Checkbox_1.default, { disabled: true, checked: internalDate.validate({ checks: [types_1.InternalDateValidateCheck.NotNull] }) },
                "\u2B63 ",
                react_1.default.createElement("code", { style: { color: 'black' } }, "NotNull"),
                react_1.default.createElement("div", null,
                    "\u0412\u0441\u0435 \u043A\u043E\u043C\u043F\u043E\u043D\u0435\u043D\u0442\u044B \u0434\u0430\u0442\u044B \u0437\u0430\u043F\u043E\u043B\u043D\u0435\u043D\u044B (\u043D\u0435 \u0440\u0430\u0432\u043D\u044B",
                    ' ',
                    react_1.default.createElement("b", null,
                        react_1.default.createElement("code", null, "null")),
                    ")")),
            react_1.default.createElement(Checkbox_1.default, { disabled: true, checked: internalDate.validate({ checks: [types_1.InternalDateValidateCheck.Limits] }) },
                "\u2B63 ",
                react_1.default.createElement("code", { style: { color: 'black' } }, "Limits"),
                react_1.default.createElement("div", null,
                    "\u041A\u043E\u043C\u043F\u043E\u043D\u0435\u043D\u0442\u044B \u0434\u0430\u0442\u044B \u043D\u0435 \u0432\u044B\u0445\u043E\u0434\u044F\u0442 \u0437\u0430 \u0440\u0430\u043C\u043A\u0438 \u043F\u0440\u0435\u0434\u0443\u0441\u0442\u0430\u043D\u043E\u0432\u043B\u0435\u043D\u043D\u044B\u0445 \u043B\u0438\u043C\u0438\u0442\u043E\u0432",
                    react_1.default.createElement("br", null),
                    "\u0413\u043E\u0434: ",
                    constants_1.MIN_YEAR,
                    " - ",
                    constants_1.MAX_YEAR,
                    react_1.default.createElement("br", null),
                    "\u041C\u0435\u0441\u044F\u0446: ",
                    constants_1.MIN_MONTH,
                    " - ",
                    constants_1.MAX_MONTH,
                    react_1.default.createElement("br", null),
                    "\u0427\u0438\u0441\u043B\u043E: ",
                    constants_1.MIN_DATE,
                    " - ",
                    constants_1.MAX_DATE)),
            react_1.default.createElement(Checkbox_1.default, { disabled: true, checked: internalDate.validate({ checks: [types_1.InternalDateValidateCheck.Native] }) },
                "\u2B63 ",
                react_1.default.createElement("code", { style: { color: 'black' } }, "Native"),
                react_1.default.createElement("div", null,
                    "\u0418\u0437 \u043A\u043E\u043C\u043F\u043E\u043D\u0435\u043D\u0442\u043E\u0432 \u0434\u0430\u0442\u044B \u043C\u043E\u0436\u043D\u043E \u0441\u043E\u0437\u0434\u0430\u0442\u044C \u0432\u0430\u043B\u0438\u0434\u043D\u044B\u0439 \u044D\u043A\u0437\u0435\u043C\u043F\u043B\u044F\u0440 \u043D\u0430\u0442\u0438\u0432\u043D\u043E\u0433\u043E \u043E\u0431\u044A\u0435\u043A\u0442\u0430 ",
                    react_1.default.createElement("code", null, "Date()"))),
            react_1.default.createElement(Checkbox_1.default, { disabled: true, checked: internalDate.validate({ checks: [types_1.InternalDateValidateCheck.Range] }) },
                "\u2B73 ",
                react_1.default.createElement("code", { style: { color: 'black' } }, "Range"),
                react_1.default.createElement("div", null,
                    "\u0414\u0430\u0442\u0430 \u043D\u0435 \u0432\u044B\u0445\u043E\u0434\u0438\u0442 \u0437\u0430 \u043F\u0440\u0435\u0434\u0435\u043B\u044B \u0434\u0438\u0430\u043F\u0430\u0437\u043E\u043D\u043E\u0432 ",
                    react_1.default.createElement("code", null, "minDate/maxDate")))));
    };
    return ViewDateInputValidateChecks;
}(react_1.default.Component));
exports.ViewDateInputValidateChecks = ViewDateInputValidateChecks;
//# sourceMappingURL=ViewDateInputValidateChecks.js.map