"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.selectNodeContents = function (node, start, end) {
    if (!node) {
        return;
    }
    if (document.createRange) {
        var selection = window.getSelection();
        var range = window.document.createRange();
        if (start !== undefined && end !== undefined) {
            range.setStart(node, start);
            range.setEnd(node, end);
        }
        else {
            range.selectNodeContents(node);
        }
        if (selection !== null) {
            try {
                // Fix IE from issue not working (https://github.com/skbkontur/retail-ui/issues/1205)
                selection.removeAllRanges();
                selection.addRange(range);
            }
            catch (e) {
                // empty block
            }
            return;
        }
    }
    // @ts-ignore (IE specific api)
    if (typeof document.body.createTextRange === 'function') {
        // @ts-ignore
        var range = document.body.createTextRange();
        range.moveToElementText(node);
        if (typeof range.select === 'function') {
            range.select();
        }
        return;
    }
};
exports.removeAllSelections = function () {
    var selection = window.getSelection();
    if (selection !== null) {
        try {
            // Fix IE from issue not working (https://github.com/skbkontur/retail-ui/issues/1205)
            selection.removeAllRanges();
        }
        catch (e) {
            // empty block
        }
    }
};
//# sourceMappingURL=SelectionHelpers.js.map