"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
var PopupMenu_1 = tslib_1.__importDefault(require("../internal/PopupMenu"));
var currentEnvironment_1 = require("../internal/currentEnvironment");
/**
 * Меню, раскрывающееся по клику на переданный в ```caption``` элемент
 */
var DropdownMenu = /** @class */ (function (_super) {
    tslib_1.__extends(DropdownMenu, _super);
    function DropdownMenu(props) {
        var _this = _super.call(this, props) || this;
        _this.popupMenu = null;
        _this.open = function () {
            if (_this.popupMenu) {
                _this.popupMenu.open();
            }
        };
        _this.close = function () {
            if (_this.popupMenu) {
                _this.popupMenu.close();
            }
        };
        _this.refPopupMenu = function (ref) { return (_this.popupMenu = ref); };
        _this.handleChangeMenuState = function (menuVisible) {
            if (menuVisible && _this.props.onOpen) {
                _this.props.onOpen();
                return;
            }
            if (!menuVisible && _this.props.onClose) {
                _this.props.onClose();
                return;
            }
        };
        if (!props.caption && !currentEnvironment_1.isProductionEnv) {
            throw new Error('Prop "caption" is required!!!');
        }
        return _this;
    }
    DropdownMenu.prototype.render = function () {
        if (!this.props.caption) {
            return null;
        }
        return (React.createElement(PopupMenu_1.default, { ref: this.refPopupMenu, caption: this.props.caption, menuMaxHeight: this.props.menuMaxHeight, menuWidth: this.props.menuWidth, onChangeMenuState: this.handleChangeMenuState, popupHasPin: false, popupMargin: 0, positions: this.props.positions, disableAnimations: this.props.disableAnimations, header: this.props.header, footer: this.props.footer }, this.props.children));
    };
    DropdownMenu.defaultProps = {
        disableAnimations: Boolean(process.env.enableReactTesting),
        positions: ['bottom left', 'bottom right', 'top left', 'top right'],
    };
    return DropdownMenu;
}(React.Component));
exports.default = DropdownMenu;
//# sourceMappingURL=DropdownMenu.js.map