import * as React from 'react';
import { FiasComboBoxProps, FiasComboBoxChangeEvent } from '../Form/FiasComboBox';
import { Address } from '../models/Address';
import { APIProvider } from '../types';
declare const COMBOBOX_PASS_PROPS: {
    limit: boolean;
    align: boolean;
    searchOnFocus: boolean;
    drawArrow: boolean;
    autoFocus: boolean;
    borderless: boolean;
    disablePortal: boolean;
    disabled: boolean;
    error: boolean;
    maxLength: boolean;
    menuAlign: boolean;
    onBlur: boolean;
    onFocus: boolean;
    onInputChange: boolean;
    placeholder: boolean;
    size: boolean;
    warning: boolean;
    width: boolean;
    maxMenuHeight: boolean;
    onMouseEnter: boolean;
    onMouseOver: boolean;
    onMouseLeave: boolean;
};
export interface FiasSearchChangeEvent extends FiasComboBoxChangeEvent {
}
export interface FiasSearchProps extends Pick<FiasComboBoxProps, keyof typeof COMBOBOX_PASS_PROPS> {
    api: APIProvider;
    address?: Address;
    onChange?: (event: FiasSearchChangeEvent, address: Address) => void;
}
export declare class FiasSearch extends React.Component<FiasSearchProps> {
    static defaultProps: {
        width: string;
        limit: number;
        drawArrow: boolean;
        searchOnFocus: boolean;
    };
    private readonly locale;
    render(): JSX.Element;
    private renderItem;
    private renderValue;
    private renderNotFound;
    private valueToString;
    private onChange;
    private onUnexpectedInput;
    private getItems;
}
export default FiasSearch;
