"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
var locale_1 = require("../locale");
var FiasComboBox_1 = require("./FiasComboBox");
var Address_1 = require("../models/Address");
var decorators_1 = require("../../LocaleProvider/decorators");
var FiasCountrySelector = /** @class */ (function (_super) {
    tslib_1.__extends(FiasCountrySelector, _super);
    function FiasCountrySelector() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.createItemsSource = function (prefix) { return tslib_1.__awaiter(_this, void 0, void 0, function () {
            var _a, api, limit;
            return tslib_1.__generator(this, function (_b) {
                _a = this.props, api = _a.api, limit = _a.limit;
                return [2 /*return*/, api.searchCountry({ prefix: prefix, limit: limit }).then(function (result) {
                        var success = result.success, data = result.data, error = result.error;
                        return success && data
                            ? Promise.resolve(data.map(function (country) {
                                return new Address_1.Address({ country: country });
                            }))
                            : Promise.reject(error);
                    })];
            });
        }); };
        _this.renderItem = function (address) {
            var country = address.country;
            return (country && country.fullName) || '';
        };
        _this.renderValue = function (address) {
            var country = address.country;
            return (country && country.fullName) || '';
        };
        _this.renderNotFound = function () {
            return _this.locale.searchNotFound;
        };
        _this.valueToString = function (address) {
            var country = address.country;
            return (country && country.fullName) || '';
        };
        _this.handleChange = function (e, value) {
            var onChange = _this.props.onChange;
            if (onChange) {
                onChange(value.country);
            }
        };
        _this.onUnexpectedInput = function (query) {
            if (!query) {
                return new Address_1.Address();
            }
        };
        return _this;
    }
    FiasCountrySelector.prototype.render = function () {
        var _a = this.props, country = _a.country, limit = _a.limit;
        var address = new Address_1.Address({ country: country });
        return (React.createElement(FiasComboBox_1.FiasComboBox, { getItems: this.createItemsSource, value: address, renderItem: this.renderItem, renderValue: this.renderValue, valueToString: this.valueToString, onChange: this.handleChange, onUnexpectedInput: this.onUnexpectedInput, renderNotFound: this.renderNotFound, placeholder: this.locale.countryPlaceholder, width: '100%', drawArrow: false, searchOnFocus: false, limit: limit }));
    };
    FiasCountrySelector = tslib_1.__decorate([
        decorators_1.locale('Fias', locale_1.FiasLocaleHelper)
    ], FiasCountrySelector);
    return FiasCountrySelector;
}(React.Component));
exports.FiasCountrySelector = FiasCountrySelector;
exports.default = FiasCountrySelector;
//# sourceMappingURL=FiasCountrySelector.js.map