import { AddressObject, EstateStatuses, FiasId, FiasObject, House, Stead, Room, StructureStatuses } from '../types';
export declare class FiasData {
    data: FiasObject;
    static isAddressObject: (data: FiasObject) => data is AddressObject;
    static isStead: (data: FiasObject) => data is Stead;
    static isHouse: (data: FiasObject) => data is House;
    static isRoom: (data: FiasObject) => data is Room;
    constructor(data: FiasObject);
    readonly name: string;
    readonly abbreviation: string;
    readonly code: string;
    readonly number: string;
    readonly structureNumber: string;
    readonly buildingNumber: string;
    readonly fiasId: FiasId;
    readonly parentFiasId: FiasId;
    readonly postalCode: string;
    readonly estateStatus: EstateStatuses | undefined;
    readonly structureStatus: StructureStatuses | undefined;
}
