"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var FiasData = /** @class */ (function () {
    function FiasData(data) {
        this.data = data;
    }
    Object.defineProperty(FiasData.prototype, "name", {
        get: function () {
            var data = this.data;
            if (FiasData.isAddressObject(data)) {
                return data.name;
            }
            else if (FiasData.isStead(data)) {
                return data.number;
            }
            else if (FiasData.isHouse(data)) {
                return data.number || data.structureNumber || data.buildingNumber || '';
            }
            else if (FiasData.isRoom(data)) {
                return data.flatNumber;
            }
            return '';
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(FiasData.prototype, "abbreviation", {
        get: function () {
            return FiasData.isAddressObject(this.data) ? this.data.abbreviation : '';
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(FiasData.prototype, "code", {
        get: function () {
            return (FiasData.isAddressObject(this.data) && this.data.code) || '';
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(FiasData.prototype, "number", {
        get: function () {
            return (FiasData.isStead(this.data) || FiasData.isHouse(this.data)) && this.data.number ? this.data.number : '';
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(FiasData.prototype, "structureNumber", {
        get: function () {
            return FiasData.isHouse(this.data) && this.data.structureNumber ? this.data.structureNumber : '';
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(FiasData.prototype, "buildingNumber", {
        get: function () {
            return FiasData.isHouse(this.data) && this.data.buildingNumber ? this.data.buildingNumber : '';
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(FiasData.prototype, "fiasId", {
        get: function () {
            return this.data.fiasId;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(FiasData.prototype, "parentFiasId", {
        get: function () {
            return (this.data && this.data.parentFiasId) || '';
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(FiasData.prototype, "postalCode", {
        get: function () {
            return (this.data && this.data.postalCode) || '';
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(FiasData.prototype, "estateStatus", {
        get: function () {
            if (FiasData.isHouse(this.data)) {
                return this.data.estateStatus;
            }
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(FiasData.prototype, "structureStatus", {
        get: function () {
            if (FiasData.isHouse(this.data)) {
                return this.data.structureStatus;
            }
        },
        enumerable: true,
        configurable: true
    });
    FiasData.isAddressObject = function (data) {
        return data && data.hasOwnProperty('name') && data.hasOwnProperty('abbreviation');
    };
    FiasData.isStead = function (data) {
        return (data &&
            (data.hasOwnProperty('number') && data.hasOwnProperty('liveStatus') && !data.hasOwnProperty('estateStatus')));
    };
    FiasData.isHouse = function (data) {
        return (data &&
            data.hasOwnProperty('structureStatus') &&
            (data.hasOwnProperty('number') || data.hasOwnProperty('structureNumber')));
    };
    FiasData.isRoom = function (data) {
        return (data && data.hasOwnProperty('flatType') && data.hasOwnProperty('flatNumber') && data.hasOwnProperty('liveStatus'));
    };
    return FiasData;
}());
exports.FiasData = FiasData;
//# sourceMappingURL=FiasData.js.map