import * as React from 'react';
import * as PropTypes from 'prop-types';
import Input, { InputProps } from '../Input';
import CurrencyInput, { CurrencyInputProps } from '../CurrencyInput';
import { Override } from '../../typings/utility-types';
export declare type FxInputProps = Override<CurrencyInputProps, {
    /** Авто-режим */
    auto?: boolean;
    /** Тип инпута */
    type?: 'currency' | InputProps['type'];
    /** onRestore */
    onRestore?: () => void;
    /** onChange */
    onChange: CurrencyInputProps['onChange'] | InputProps['onChange'];
    /** Значение */
    value?: React.ReactText;
    /** ref Input'а */
    refInput?: (element: CurrencyInput | Input | null) => void;
}>;
export interface FxInputDefaultProps {
    width: FxInputProps['width'];
    type: FxInputProps['type'];
}
/** Принимает все свойства `Input`'a */
declare class FxInput extends React.Component<FxInputProps> {
    static propTypes: {
        auto: PropTypes.Requireable<boolean>;
        type: PropTypes.Requireable<string>;
    };
    static defaultProps: FxInputDefaultProps;
    private input;
    private getProps;
    render(): JSX.Element;
    /**
     * @public
     */
    focus: () => void;
    /**
     * @public
     */
    blur: () => void;
    private refInput;
}
export default FxInput;
