import * as React from 'react';
import * as PropTypes from 'prop-types';
export interface GappedProps {
    gap?: number;
    verticalAlign?: 'top' | 'middle' | 'baseline' | 'bottom';
    vertical?: boolean;
    children: React.ReactNode;
}
/**
 * Контейнер, расстояние между элементами в котором равно `gap`.
 */
declare class Gapped extends React.Component<GappedProps> {
    static propTypes: {
        /**
         * Расстояние между элементами.
         */
        gap: PropTypes.Requireable<number>;
        /**
         * Располагать элементы вертикально.
         */
        vertical: PropTypes.Requireable<boolean>;
        /**
         * Вертикальное выравнивание элементов.
         */
        verticalAlign: PropTypes.Requireable<string>;
    };
    static defaultProps: {
        gap: number;
        verticalAlign: string;
    };
    render(): JSX.Element;
    private _renderVertical;
    private _renderHorizontal;
}
export default Gapped;
