"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
var PropTypes = tslib_1.__importStar(require("prop-types"));
var Corners_1 = tslib_1.__importDefault(require("../Button/Corners"));
require("../ensureOldIEClassName");
var Group_module_less_1 = tslib_1.__importDefault(require("./Group.module.less"));
var Button_1 = require("../Button");
var Emotion_1 = require("../../lib/theming/Emotion");
/**
 * Главному *Input*, который должен занимать всю доступную ширину, нужно
 * передать свойство `mainInGroup`;
 */
var Group = /** @class */ (function (_super) {
    tslib_1.__extends(Group, _super);
    function Group() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Group.prototype.render = function () {
        var _a;
        var style = {
            width: this.props.width,
        };
        var first = null;
        var last = null;
        React.Children.forEach(this.props.children, function (child) {
            if (child && React.isValidElement(child)) {
                first = first || child;
                last = child;
            }
        });
        var rootCss = Emotion_1.cx(Group_module_less_1.default.root, (_a = {}, _a[Group_module_less_1.default.hasWidth] = this.props.width !== undefined, _a));
        return (React.createElement("span", { className: rootCss, style: style }, React.Children.map(this.props.children, function (child) {
            var _a, _b;
            if (!child || !React.isValidElement(child)) {
                return null;
            }
            var childProps = child.props;
            var wrapCss = Emotion_1.cx((_a = {},
                _a[Group_module_less_1.default.wrap] = true,
                _a[Group_module_less_1.default.fixed] = !childProps.mainInGroup,
                _a[Group_module_less_1.default.stretch] = !!childProps.mainInGroup,
                _a));
            var itemCss = Emotion_1.cx((_b = {},
                _b[Group_module_less_1.default.item] = true,
                _b[Group_module_less_1.default.itemFirst] = child === first,
                _b));
            var corners = 0;
            if (child !== first) {
                corners |= Corners_1.default.TOP_LEFT | Corners_1.default.BOTTOM_LEFT;
            }
            if (child !== last) {
                corners |= Corners_1.default.TOP_RIGHT | Corners_1.default.BOTTOM_RIGHT;
            }
            var width = childProps.width;
            if (childProps.mainInGroup) {
                width = '100%';
            }
            var cloneProps = {
                width: width,
                corners: corners,
            };
            if (!Button_1.isButton(child)) {
                delete cloneProps.corners;
            }
            child = React.cloneElement(child, cloneProps);
            return (React.createElement("div", { className: wrapCss },
                React.createElement("div", { className: itemCss }, child)));
        })));
    };
    Group.propTypes = {
        width: PropTypes.oneOfType([PropTypes.number, PropTypes.string]),
    };
    return Group;
}(React.Component));
exports.default = Group;
//# sourceMappingURL=Group.js.map