"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
var PropTypes = tslib_1.__importStar(require("prop-types"));
var Icon_module_less_1 = tslib_1.__importDefault(require("./Icon.module.less"));
var MAP = {
    circle: '\ue001',
    baseline: '\ue003',
    warning: '\ue005',
    ok: '\ue006',
    gear: '\ue018',
    user: '\ue020',
    wait: '\ue021',
    clear: '\ue030',
    grid: '\ue03e',
    money: '\ue046',
    'help-circle': '\ue055',
    kebab: '\ue0c9',
};
var Icon = /** @class */ (function (_super) {
    tslib_1.__extends(Icon, _super);
    function Icon() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Icon.getAllNames = function () {
        return Object.keys(MAP);
    };
    Icon.prototype.render = function () {
        var style = {
            color: this.props.color,
        };
        return (React.createElement("span", { className: Icon_module_less_1.default.root, style: style }, MAP[this.props.name]));
    };
    Icon.propTypes = {
        color: PropTypes.string,
        /**
         * Icon id.
         */
        name: PropTypes.oneOf(Object.keys(MAP)),
    };
    return Icon;
}(React.Component));
exports.default = Icon;
//# sourceMappingURL=Icon.js.map