"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var create_react_context_1 = tslib_1.__importDefault(require("create-react-context"));
var React = tslib_1.__importStar(require("react"));
var constants_1 = require("./constants");
var LocaleContext = create_react_context_1.default({});
exports.LocaleConsumer = LocaleContext.Consumer;
var LocaleProvider = /** @class */ (function (_super) {
    tslib_1.__extends(LocaleProvider, _super);
    function LocaleProvider() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    LocaleProvider.prototype.render = function () {
        var _a = this.props, locale = _a.locale, langCode = _a.langCode;
        return React.createElement(LocaleContext.Provider, { value: { locale: locale, langCode: langCode } }, this.props.children);
    };
    LocaleProvider.defaultProps = {
        locale: {},
        langCode: constants_1.defaultLangCode,
    };
    return LocaleProvider;
}(React.Component));
exports.default = LocaleProvider;
//# sourceMappingURL=LocaleProvider.js.map