"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
var MenuHeader_module_less_1 = tslib_1.__importDefault(require("./MenuHeader.module.less"));
var createPropsGetter_1 = require("../internal/createPropsGetter");
var Emotion_1 = require("../../lib/theming/Emotion");
var MenuHeader_styles_1 = tslib_1.__importDefault(require("./MenuHeader.styles"));
var ThemeConsumer_1 = require("../ThemeConsumer");
/**
 * Заголовок в меню.
 */
var MenuHeader = /** @class */ (function (_super) {
    tslib_1.__extends(MenuHeader, _super);
    function MenuHeader() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.getProps = createPropsGetter_1.createPropsGetter(MenuHeader.defaultProps);
        return _this;
    }
    MenuHeader.prototype.render = function () {
        var _this = this;
        return (React.createElement(ThemeConsumer_1.ThemeConsumer, null, function (theme) {
            _this.theme = theme;
            return _this.renderMain();
        }));
    };
    MenuHeader.prototype.renderMain = function () {
        var _a;
        var classnames = Emotion_1.cx((_a = {},
            _a[MenuHeader_module_less_1.default.root] = true,
            _a[MenuHeader_styles_1.default.withLeftPadding(this.theme)] = this.getProps()._enableIconPadding,
            _a));
        return React.createElement("div", { className: classnames }, this.props.children);
    };
    MenuHeader.__MENU_HEADER__ = true;
    MenuHeader.defaultProps = {
        _enableIconPadding: false,
    };
    return MenuHeader;
}(React.Component));
exports.default = MenuHeader;
exports.isMenuHeader = function (child) {
    return React.isValidElement(child) ? child.type.hasOwnProperty('__MENU_HEADER__') : false;
};
//# sourceMappingURL=MenuHeader.js.map