"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
var getScrollWidth_1 = tslib_1.__importDefault(require("../../lib/dom/getScrollWidth"));
var Sticky_1 = tslib_1.__importDefault(require("../Sticky/Sticky"));
var ModalContext_1 = require("./ModalContext");
var Modal_module_less_1 = tslib_1.__importDefault(require("./Modal.module.less"));
var Emotion_1 = require("../../lib/theming/Emotion");
var Modal_styles_1 = tslib_1.__importDefault(require("./Modal.styles"));
var ThemeConsumer_1 = require("../ThemeConsumer");
var ZIndex_1 = tslib_1.__importDefault(require("../ZIndex"));
/**
 * Футер модального окна.
 */
var Footer = /** @class */ (function (_super) {
    tslib_1.__extends(Footer, _super);
    function Footer() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.scrollbarWidth = getScrollWidth_1.default();
        _this.renderContent = function (horizontalScroll) { return function (fixed) {
            if (fixed === void 0) { fixed = false; }
            var _a;
            var className = Emotion_1.cx(Modal_module_less_1.default.footer, Modal_styles_1.default.footer(_this.theme), (_a = {},
                _a[Modal_module_less_1.default.panel] = !!_this.props.panel,
                _a[Modal_module_less_1.default.fixedFooter] = fixed,
                _a[Modal_styles_1.default.fixedFooter(_this.theme)] = fixed,
                _a));
            return React.createElement("div", { className: className }, _this.props.children);
        }; };
        return _this;
    }
    Footer.prototype.render = function () {
        var _this = this;
        return (React.createElement(ThemeConsumer_1.ThemeConsumer, null, function (theme) {
            _this.theme = theme;
            return _this.renderMain();
        }));
    };
    Footer.prototype.renderMain = function () {
        var _this = this;
        return (React.createElement(ZIndex_1.default, { style: { position: 'relative' }, priority: 'ModalFooter' },
            React.createElement(ModalContext_1.ModalContext.Consumer, null, function (_a) {
                var horizontalScroll = _a.horizontalScroll;
                if (_this.props.sticky) {
                    return (React.createElement(Sticky_1.default, { side: "bottom", offset: horizontalScroll ? _this.scrollbarWidth : 0 }, _this.renderContent(horizontalScroll)));
                }
                return _this.renderContent(horizontalScroll)();
            })));
    };
    Footer.__MODAL_FOOTER__ = true;
    Footer.defaultProps = {
        sticky: true,
    };
    return Footer;
}(React.Component));
exports.Footer = Footer;
function isFooter(child) {
    return React.isValidElement(child) && child.type.hasOwnProperty('__MODAL_FOOTER__');
}
exports.isFooter = isFooter;
//# sourceMappingURL=ModalFooter.js.map