"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
var ModalContext_1 = require("./ModalContext");
var Sticky_1 = tslib_1.__importDefault(require("../Sticky"));
var ModalClose_1 = tslib_1.__importDefault(require("./ModalClose"));
var Modal_module_less_1 = tslib_1.__importDefault(require("./Modal.module.less"));
var Emotion_1 = require("../../lib/theming/Emotion");
var Modal_styles_1 = tslib_1.__importDefault(require("./Modal.styles"));
var ThemeConsumer_1 = require("../ThemeConsumer");
var ZIndex_1 = tslib_1.__importDefault(require("../ZIndex"));
var Header = /** @class */ (function (_super) {
    tslib_1.__extends(Header, _super);
    function Header() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.renderContent = function (close, additionalPadding) { return function (fixed) {
            if (fixed === void 0) { fixed = false; }
            var _a;
            return (React.createElement("div", { className: Emotion_1.cx((_a = {},
                    _a[Modal_module_less_1.default.header] = true,
                    _a[Modal_module_less_1.default.fixedHeader] = fixed,
                    _a[Modal_styles_1.default.fixedHeader(_this.theme)] = fixed,
                    _a[Modal_module_less_1.default.headerAddPadding] = !!additionalPadding,
                    _a)) },
                close && (React.createElement("div", { className: Modal_module_less_1.default.absoluteClose },
                    React.createElement(ModalClose_1.default, { requestClose: close.requestClose, disableClose: close.disableClose }))),
                _this.props.children));
        }; };
        return _this;
    }
    Header.prototype.render = function () {
        var _this = this;
        return (React.createElement(ThemeConsumer_1.ThemeConsumer, null, function (theme) {
            _this.theme = theme;
            return _this.renderMain();
        }));
    };
    Header.prototype.renderMain = function () {
        var _this = this;
        return (React.createElement(ZIndex_1.default, { style: { position: 'relative' }, priority: 'ModalHeader' },
            React.createElement(ModalContext_1.ModalContext.Consumer, null, function (_a) {
                var close = _a.close, additionalPadding = _a.additionalPadding;
                if (_this.props.sticky) {
                    return React.createElement(Sticky_1.default, { side: "top" }, _this.renderContent(close, additionalPadding));
                }
                return _this.renderContent(close, additionalPadding)();
            })));
    };
    Header.__MODAL_HEADER__ = true;
    Header.defaultProps = {
        sticky: true,
    };
    return Header;
}(React.Component));
exports.Header = Header;
function isHeader(child) {
    return React.isValidElement(child) && child.type.hasOwnProperty('__MODAL_HEADER__');
}
exports.isHeader = isHeader;
//# sourceMappingURL=ModalHeader.js.map