"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var fbemitter_1 = require("fbemitter");
var ModalStack = /** @class */ (function () {
    function ModalStack() {
    }
    ModalStack.add = function (component, onChange) {
        var _a = ModalStack.getStackInfo(), emitter = _a.emitter, mounted = _a.mounted;
        mounted.unshift(component);
        var changeHandler = function () { return onChange(mounted.slice()); };
        var subscription = emitter.addListener('change', changeHandler);
        emitter.emit('change');
        return {
            remove: function () {
                // Forwards compatible with versions 2.x which using the eventemitter3 package
                if ('removeListener' in subscription) {
                    // @ts-ignore
                    emitter.removeListener('change', changeHandler);
                    return;
                }
                subscription.remove();
            },
        };
    };
    ModalStack.remove = function (component) {
        var _a = ModalStack.getStackInfo(), emitter = _a.emitter, mounted = _a.mounted;
        var index = mounted.indexOf(component);
        if (index !== -1) {
            mounted.splice(index, 1);
        }
        emitter.emit('change');
    };
    ModalStack.getStackInfo = function () {
        var globalWithStack = global;
        return (globalWithStack.__ReactUIStackInfo ||
            (globalWithStack.__ReactUIStackInfo = {
                emitter: new fbemitter_1.EventEmitter(),
                mounted: [],
            }));
    };
    return ModalStack;
}());
exports.default = ModalStack;
//# sourceMappingURL=ModalStack.js.map