"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var keyDescription = null;
var getKeyDescription = function () { return keyDescription || (keyDescription = createKeyDescription()); };
var createKeyDescription = function () {
    return navigator.platform.includes('Mac')
        ? {
            name: 'Alt',
            checkPressed: function (event) { return event.altKey; },
        }
        : {
            name: 'Ctrl',
            checkPressed: function (event) { return event.ctrlKey; },
        };
};
exports.default = {
    getKeyName: function () {
        return getKeyDescription().name;
    },
    checkKeyPressed: function (event) {
        return getKeyDescription().checkPressed(event);
    },
};
//# sourceMappingURL=NavigationHelper.js.map