import { PopupPosition } from './Popup';
export interface Rect {
    top: number;
    left: number;
    width: number;
    height: number;
}
export interface Offset {
    top: number;
    left: number;
}
export interface PositionObject {
    direction: string;
    align: string;
}
declare function getPositionObject(position: string): PositionObject;
declare function getElementAbsoluteRect(element: HTMLElement): Rect;
declare function isAbsoluteRectFullyVisible(coordinates: Offset, popupRect: Rect): boolean;
declare function canBecomeFullyVisible(positionName: PopupPosition, coordinates: Offset): boolean;
declare const _default: {
    getPositionObject: typeof getPositionObject;
    getElementAbsoluteRect: typeof getElementAbsoluteRect;
    isFullyVisible: typeof isAbsoluteRectFullyVisible;
    canBecomeFullyVisible: typeof canBecomeFullyVisible;
};
export default _default;
