"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
var Sticky_1 = tslib_1.__importDefault(require("../Sticky"));
var cross_1 = require("../internal/cross");
var SidePageContext_1 = require("./SidePageContext");
var SidePage_module_less_1 = tslib_1.__importDefault(require("./SidePage.module.less"));
var utils_1 = require("../../lib/utils");
var Emotion_1 = require("../../lib/theming/Emotion");
var SidePage_styles_1 = tslib_1.__importDefault(require("./SidePage.styles"));
var ThemeConsumer_1 = require("../ThemeConsumer");
var REGULAR_HEADER_PADDING_TOP = 25;
var FIXED_HEADER_PADDING_TOP = 13;
var FONT_FAMILY_CORRECTION = 1;
var CLOSE_ELEMENT_OFFSET = REGULAR_HEADER_PADDING_TOP - FIXED_HEADER_PADDING_TOP - FONT_FAMILY_CORRECTION;
var FIXED_HEADER_HEIGHT = 50;
var SidePageHeader = /** @class */ (function (_super) {
    tslib_1.__extends(SidePageHeader, _super);
    function SidePageHeader() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.state = {
            isReadyToFix: false,
        };
        _this.wrapper = null;
        _this.lastRegularHeight = 0;
        _this.componentDidMount = function () {
            window.addEventListener('scroll', _this.update, true);
        };
        _this.componentWillUnmount = function () {
            window.removeEventListener('scroll', _this.update, true);
        };
        _this.update = function () {
            _this.updateReadyToFix();
        };
        _this.renderHeader = function (fixed) {
            if (fixed === void 0) { fixed = false; }
            var _a, _b;
            return (React.createElement("div", { className: Emotion_1.cx(SidePage_module_less_1.default.header, (_a = {}, _a[SidePage_module_less_1.default.fixed] = fixed, _a[SidePage_styles_1.default.fixed(_this.theme)] = fixed, _a)) },
                _this.renderClose(),
                React.createElement("div", { className: Emotion_1.cx(SidePage_module_less_1.default.title, (_b = {}, _b[SidePage_module_less_1.default.fixed] = fixed, _b[SidePage_styles_1.default.fixed(_this.theme)] = fixed, _b)) }, utils_1.isFunction(_this.props.children) ? _this.props.children(fixed) : _this.props.children)));
        };
        _this.renderCloseContent = function (fixed) { return (React.createElement(SidePageContext_1.SidePageContext.Consumer, null, function (_a) {
            var requestClose = _a.requestClose;
            var _b;
            return (React.createElement("a", { href: "javascript:", className: Emotion_1.cx(SidePage_module_less_1.default.close, SidePage_styles_1.default.close(_this.theme), (_b = {},
                    _b[SidePage_module_less_1.default.fixed] = fixed,
                    _b[SidePage_styles_1.default.fixed(_this.theme)] = fixed,
                    _b)), onClick: requestClose, "data-tid": "SidePage-Close" },
                React.createElement(cross_1.SVGCross, { className: SidePage_module_less_1.default.closeIcon })));
        })); };
        _this.renderClose = function () {
            return (React.createElement(Sticky_1.default, { side: "top", offset: CLOSE_ELEMENT_OFFSET }, _this.renderCloseContent));
        };
        _this.updateReadyToFix = function () {
            if (_this.wrapper) {
                var wrapperScrolledUp = _this.wrapper.getBoundingClientRect().top;
                var isReadyToFix_1 = _this.regularHeight + wrapperScrolledUp <= FIXED_HEADER_HEIGHT;
                _this.setState(function (state) { return (state.isReadyToFix !== isReadyToFix_1 ? { isReadyToFix: isReadyToFix_1 } : state); });
            }
        };
        _this.wrapperRef = function (el) {
            _this.wrapper = el;
        };
        return _this;
    }
    Object.defineProperty(SidePageHeader.prototype, "regularHeight", {
        get: function () {
            var isReadyToFix = this.state.isReadyToFix;
            if (!this.wrapper) {
                return 0;
            }
            if (!isReadyToFix) {
                this.lastRegularHeight = this.wrapper.getBoundingClientRect().height;
            }
            return this.lastRegularHeight;
        },
        enumerable: true,
        configurable: true
    });
    SidePageHeader.prototype.render = function () {
        var _this = this;
        return (React.createElement(ThemeConsumer_1.ThemeConsumer, null, function (theme) {
            _this.theme = theme;
            return _this.renderMain();
        }));
    };
    SidePageHeader.prototype.renderMain = function () {
        var isReadyToFix = this.state.isReadyToFix;
        return (React.createElement("div", { ref: this.wrapperRef }, isReadyToFix ? React.createElement(Sticky_1.default, { side: "top" }, this.renderHeader) : this.renderHeader()));
    };
    return SidePageHeader;
}(React.Component));
exports.default = SidePageHeader;
//# sourceMappingURL=SidePageHeader.js.map