import * as React from 'react';
import * as PropTypes from 'prop-types';
import { types } from './settings';
export declare const SpinnerConfig: {
    hasSvgAnimationSupport: boolean;
};
export declare type SpinnerType = 'mini' | 'normal' | 'big';
export interface SpinnerProps {
    caption?: React.ReactNode;
    dimmed?: boolean;
    type?: SpinnerType;
}
/**
 * DRAFT - инлайн-лоадер
 */
declare class Spinner extends React.Component<SpinnerProps> {
    static propTypes: {
        /**
         * Текст рядом с мини-лоадером.
         *
         * 'Загрузка' - значение по-умолчанию
         */
        caption: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        dimmed: PropTypes.Requireable<boolean>;
        /**
         * Тип спиннера: mini, normal, big
         *
         * Значение по-умолчанию - normal
         *
         * Spinner.types - все доступные типы
         */
        type: PropTypes.Requireable<string>;
    };
    static defaultProps: {
        type: SpinnerType;
    };
    static Types: typeof types;
    private theme;
    private readonly locale;
    render(): JSX.Element;
    private renderMain;
    private _renderCloud;
    private _renderCircle;
    private _renderSpinner;
    private _renderCaption;
}
export default Spinner;
