import * as React from 'react';
import * as PropTypes from 'prop-types';
import { TabProps } from './Tab';
export interface TabsProps {
    /**
     * Tab component should be child of Tabs component
     */
    children?: React.ReactNode;
    /**
     * Classname of indicator
     */
    indicatorClassName?: string;
    /**
     * Tabs change event
     */
    onChange?: (ev: {
        target: {
            value: string;
        };
    }, value: string) => void;
    /**
     * Active tab identifier
     */
    value: string;
    /**
     * Vertical indicator
     * @default false
     */
    vertical: boolean;
    /**
     * Width of tabs container
     */
    width?: number | string;
}
/**
 * Tabs wrapper
 *
 * contains static property `Tab`
 */
declare class Tabs extends React.Component<TabsProps> {
    static propTypes: {
        children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        indicatorClassName: PropTypes.Requireable<string>;
        value: PropTypes.Validator<string>;
        vertical: PropTypes.Requireable<boolean>;
        width: PropTypes.Requireable<string | number>;
        onChange: PropTypes.Requireable<(...args: any[]) => any>;
    };
    static defaultProps: {
        vertical: boolean;
    };
    static Tab: (props: TabProps) => JSX.Element;
    private tabs;
    private tabUpdates;
    private listeners;
    render(): JSX.Element;
    private shiftFocus;
    private notifyUpdate;
    private switchTab;
    private getTab;
    private addTab;
    private removeTab;
    private createEvent;
}
export default Tabs;
