"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var getComputedStyle_1 = tslib_1.__importDefault(require("../../lib/dom/getComputedStyle"));
function getTextAreaHeight(node, minRows, maxRows) {
    var style = getComputedStyle_1.default(node);
    var lineHeight = style.lineHeight ? parseInt(style.lineHeight, 10) : 0;
    var paddingTop = style.paddingTop ? parseInt(style.paddingTop, 10) : 0;
    var paddingBottom = style.paddingBottom ? parseInt(style.paddingBottom, 10) : 0;
    var minHeight = paddingTop + paddingBottom + lineHeight * minRows;
    var maxHeight = paddingTop + paddingBottom + lineHeight * maxRows;
    var expectedHeight = node.scrollHeight + lineHeight;
    return {
        height: Math.min(Math.max(expectedHeight, minHeight), maxHeight),
        exceededMaxHeight: expectedHeight > maxHeight + lineHeight,
    };
}
exports.getTextAreaHeight = getTextAreaHeight;
//# sourceMappingURL=TextareaHelpers.js.map