"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var Checkbox_1 = tslib_1.__importDefault(require("../../Checkbox"));
exports.getComponentsFromPropsList = function (component, propsList) {
    return propsList.reduce(function (result, props, index) {
        // NOTE: все это ради чекбокса с фокусом, т.к. нет ни focused, ни autofocus; а ref+focus() снаружи нестабилен
        // @ts-ignore
        var isCheckbox = component.type === Checkbox_1.default;
        if (isCheckbox) {
            var checkboxProps = props;
            if (checkboxProps.focused) {
                checkboxProps.ref = function (el) {
                    if (el) {
                        el.setState({ focusedByTab: true });
                    }
                };
                delete checkboxProps.focused;
            }
        }
        var elementWithProps = react_1.default.cloneElement(component, tslib_1.__assign({}, props, { key: index }));
        return result.concat([elementWithProps]);
    }, []);
};
//# sourceMappingURL=helpers.js.map