/// <reference types="react" />
import { ITheme } from '../../../lib/theming/Theme';
export interface DescriptionsType {
    [componentName: string]: ComponentDescriptionType;
}
export interface ComponentDescriptionType {
    [elementName: string]: ComponentRowDescriptionType;
}
export interface ComponentRowDescriptionType {
    contents: JSX.Element;
    variables: Array<keyof ITheme>;
    dependencies: VariableDependencies;
}
export interface VariableNameToComponentsMap {
    [variableName: string]: DescriptionsType;
}
export interface VariableDependencies {
    [variableName: string]: string[];
}
export declare const COMPONENT_DESCRIPTIONS: DescriptionsType;
export declare const COMPONENT_DESCRIPTIONS_BY_VARIABLE: VariableNameToComponentsMap;
export declare const ALL_USED_VARIABLES: string[];
export declare const CALLS_COUNT: number;
export declare const EXECUTION_TIME: number;
