import * as React from 'react';
import { jsTokenColors } from './Token.styles';
export declare type TokenColorName = keyof typeof jsTokenColors;
export interface TokenColors {
    idle: TokenColorName;
    active?: TokenColorName;
}
export interface TokenActions {
    onClick?: React.MouseEventHandler<HTMLDivElement>;
    onRemove?: React.MouseEventHandler<SVGElement>;
    onMouseEnter?: React.MouseEventHandler<HTMLDivElement>;
    onMouseLeave?: React.MouseEventHandler<HTMLDivElement>;
    onFocus?: React.FocusEventHandler<HTMLDivElement>;
    onBlur?: React.FocusEventHandler<HTMLDivElement>;
}
export interface TokenProps {
    colors?: TokenColors;
    isActive?: boolean;
    error?: boolean;
    warning?: boolean;
    disabled?: boolean;
}
export default class Token extends React.Component<TokenProps & TokenActions> {
    private theme;
    render(): JSX.Element;
    private renderMain;
    private onRemoveClick;
}
