"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var Emotion_1 = require("../../lib/theming/Emotion");
var ColorFunctions_1 = tslib_1.__importDefault(require("../../lib/styles/ColorFunctions"));
var Token_module_less_1 = tslib_1.__importDefault(require("./Token.module.less"));
exports.default = {
    disabled: function (t) {
        return Emotion_1.css(templateObject_1 || (templateObject_1 = tslib_1.__makeTemplateObject(["\n      color: ", ";\n    "], ["\n      color: ", ";\n    "])), t.textColorDisabled);
    },
};
exports.jsTokenColors = [
    { name: 'defaultIdle', color: 'grayXLight' },
    { name: 'defaultActive', color: 'brand' },
    { name: 'grayIdle', color: 'grayXLight' },
    { name: 'grayActive', color: 'grayDark' },
    { name: 'blueIdle', color: 'blueLight' },
    { name: 'blueActive', color: 'blueDark' },
    { name: 'greenIdle', color: 'greenXxLight' },
    { name: 'greenActive', color: 'greenDark' },
    { name: 'yellowIdle', color: 'yellowXxLight' },
    { name: 'yellowActive', color: 'yellowDark' },
    { name: 'redIdle', color: 'redXxLight' },
    { name: 'redActive', color: 'redDark' },
    { name: 'white', color: 'white' },
    { name: 'black', color: 'black' },
].reduce(function (colors, _a) {
    var name = _a.name, color = _a.color;
    var _b;
    return (tslib_1.__assign({}, colors, (_b = {}, _b[name] = function (t) {
        return Emotion_1.css(templateObject_2 || (templateObject_2 = tslib_1.__makeTemplateObject(["\n        background-color: ", ";\n        color: ", ";\n        box-shadow: 0 0 0 1px ", ", inset 0 0 0 1px ", ";\n\n        & .", ":hover {\n          color: ", ";\n        }\n\n        &.", " {\n          box-shadow: 0 0 0 2px ", ", inset 0 0 0 1px ", ";\n        }\n\n        &.", " {\n          box-shadow: 0 0 0 2px ", ", inset 0 0 0 1px ", ";\n        }\n      "], ["\n        background-color: ", ";\n        color: ", ";\n        box-shadow: 0 0 0 1px ", ", inset 0 0 0 1px ", ";\n\n        & .", ":hover {\n          color: ", ";\n        }\n\n        &.", " {\n          box-shadow: 0 0 0 2px ", ", inset 0 0 0 1px ", ";\n        }\n\n        &.", " {\n          box-shadow: 0 0 0 2px ", ", inset 0 0 0 1px ", ";\n        }\n      "])), t[color], ColorFunctions_1.default.contrast(t[color]), ColorFunctions_1.default.darken(t[color], '5%'), t[color], Token_module_less_1.default.removeIcon, ColorFunctions_1.default.contrast(t[color]), Token_module_less_1.default.warning, t.borderColorWarning, t[color], Token_module_less_1.default.error, t.borderColorError, t[color]);
    }, _b)));
}, {
    defaultDisabled: function (t) {
        return Emotion_1.css(templateObject_3 || (templateObject_3 = tslib_1.__makeTemplateObject(["\n        background-color: ", ";\n        color: ", ";\n        box-shadow: 0 0 0 1px ", ";\n\n        & .", " {\n          fill: ", ";\n          opacity: 1;\n        }\n\n        &.", " {\n          box-shadow: 0 0 0 2px ", ", inset 0 0 0 1px ", ";\n        }\n\n        &.", " {\n          box-shadow: 0 0 0 2px ", ", inset 0 0 0 1px ", ";\n        }\n      "], ["\n        background-color: ", ";\n        color: ", ";\n        box-shadow: 0 0 0 1px ", ";\n\n        & .", " {\n          fill: ", ";\n          opacity: 1;\n        }\n\n        &.", " {\n          box-shadow: 0 0 0 2px ", ", inset 0 0 0 1px ", ";\n        }\n\n        &.", " {\n          box-shadow: 0 0 0 2px ", ", inset 0 0 0 1px ", ";\n        }\n      "])), t.tokenDisabledBg, ColorFunctions_1.default.contrast(t.tokenDisabledBg), t.tokenDisabledBg, Token_module_less_1.default.removeIcon, t.textColorDisabled, Token_module_less_1.default.warning, t.borderColorWarning, t.tokenDisabledBg, Token_module_less_1.default.error, t.borderColorError, t.tokenDisabledBg);
    },
});
var templateObject_1, templateObject_2, templateObject_3;
//# sourceMappingURL=Token.styles.js.map