import { TokenInputState } from './TokenInput';
export interface TokenInputAction {
    type: TokenInputActionType;
    payload?: any;
}
export declare const TokenActions: {
    SET_INPUT_VALUE_WIDTH: string;
    UPDATE_QUERY: string;
    SET_FOCUS_IN: string;
    SET_PREVENT_BLUR: string;
    BLUR: string;
    SET_AUTOCOMPLETE_ITEMS: string;
    SET_ACTIVE_TOKENS: string;
    REMOVE_ALL_ACTIVE_TOKENS: string;
    SET_LOADING: string;
    CLEAR_INPUT: string;
};
export declare type TokenInputActionType = keyof typeof TokenActions;
export declare function tokenInputReducer<T = string>(state: TokenInputState<T>, action: TokenInputAction): TokenInputState<T> | {
    inputValueWidth: any;
    inputValue?: undefined;
    inFocus?: undefined;
    preventBlur?: undefined;
    autocompleteItems?: undefined;
    activeTokens?: undefined;
    loading?: undefined;
} | {
    inputValue: any;
    inputValueWidth?: undefined;
    inFocus?: undefined;
    preventBlur?: undefined;
    autocompleteItems?: undefined;
    activeTokens?: undefined;
    loading?: undefined;
} | {
    inFocus: boolean;
    inputValueWidth?: undefined;
    inputValue?: undefined;
    preventBlur?: undefined;
    autocompleteItems?: undefined;
    activeTokens?: undefined;
    loading?: undefined;
} | {
    preventBlur: any;
    inputValueWidth?: undefined;
    inputValue?: undefined;
    inFocus?: undefined;
    autocompleteItems?: undefined;
    activeTokens?: undefined;
    loading?: undefined;
} | {
    autocompleteItems: any;
    inputValueWidth?: undefined;
    inputValue?: undefined;
    inFocus?: undefined;
    preventBlur?: undefined;
    activeTokens?: undefined;
    loading?: undefined;
} | {
    activeTokens: any;
    inputValueWidth?: undefined;
    inputValue?: undefined;
    inFocus?: undefined;
    preventBlur?: undefined;
    autocompleteItems?: undefined;
    loading?: undefined;
} | {
    inFocus: boolean;
    preventBlur: boolean;
    autocompleteItems: undefined;
    activeTokens: never[];
    inputValueWidth?: undefined;
    inputValue?: undefined;
    loading?: undefined;
} | {
    inputValue: string;
    autocompleteItems: undefined;
    inputValueWidth?: undefined;
    inFocus?: undefined;
    preventBlur?: undefined;
    activeTokens?: undefined;
    loading?: undefined;
} | {
    loading: any;
    inputValueWidth?: undefined;
    inputValue?: undefined;
    inFocus?: undefined;
    preventBlur?: undefined;
    autocompleteItems?: undefined;
    activeTokens?: undefined;
};
