"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TokenActions = {
    SET_INPUT_VALUE_WIDTH: 'SET_INPUT_VALUE_WIDTH',
    UPDATE_QUERY: 'UPDATE_QUERY',
    SET_FOCUS_IN: 'SET_FOCUS_IN',
    SET_PREVENT_BLUR: 'SET_PREVENT_BLUR',
    BLUR: 'BLUR',
    SET_AUTOCOMPLETE_ITEMS: 'SET_AUTOCOMPLETE_ITEMS',
    SET_ACTIVE_TOKENS: 'SET_ACTIVE_TOKENS',
    REMOVE_ALL_ACTIVE_TOKENS: 'REMOVE_ALL_ACTIVE_TOKENS',
    SET_LOADING: 'SET_LOADING',
    CLEAR_INPUT: 'CLEAR_INPUT',
};
function tokenInputReducer(state, action) {
    var payload = action.payload;
    switch (action.type) {
        case exports.TokenActions.SET_INPUT_VALUE_WIDTH: {
            return { inputValueWidth: payload };
        }
        case exports.TokenActions.UPDATE_QUERY: {
            return { inputValue: payload };
        }
        case exports.TokenActions.SET_FOCUS_IN: {
            return { inFocus: true };
        }
        case exports.TokenActions.SET_PREVENT_BLUR: {
            return { preventBlur: payload };
        }
        case exports.TokenActions.SET_AUTOCOMPLETE_ITEMS: {
            return { autocompleteItems: payload };
        }
        case exports.TokenActions.SET_ACTIVE_TOKENS: {
            return { activeTokens: payload };
        }
        case exports.TokenActions.BLUR: {
            return {
                inFocus: false,
                preventBlur: false,
                autocompleteItems: undefined,
                activeTokens: [],
            };
        }
        case exports.TokenActions.REMOVE_ALL_ACTIVE_TOKENS: {
            return { activeTokens: [] };
        }
        case exports.TokenActions.CLEAR_INPUT: {
            return { inputValue: '', autocompleteItems: undefined };
        }
        case exports.TokenActions.SET_LOADING: {
            return {
                loading: payload,
            };
        }
        default:
            return state;
    }
}
exports.tokenInputReducer = tokenInputReducer;
//# sourceMappingURL=TokenInputReducer.js.map