"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
var PropTypes = tslib_1.__importStar(require("prop-types"));
var _20px_1 = tslib_1.__importDefault(require("../Icon/20px"));
var TopBar_module_less_1 = tslib_1.__importDefault(require("./TopBar.module.less"));
var createPropsGetter_1 = require("../internal/createPropsGetter");
var Emotion_1 = require("../../lib/theming/Emotion");
var Item = /** @class */ (function (_super) {
    tslib_1.__extends(Item, _super);
    function Item() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.getProps = createPropsGetter_1.createPropsGetter(Item.defaultProps);
        return _this;
    }
    Item.prototype.render = function () {
        var _a, _b;
        var _c = this.props, active = _c.active, children = _c.children, _onClick = _c._onClick, _onKeyDown = _c._onKeyDown, iconOnly = _c.iconOnly, icon = _c.icon, minWidth = _c.minWidth, use = _c.use, rest = tslib_1.__rest(_c, ["active", "children", "_onClick", "_onKeyDown", "iconOnly", "icon", "minWidth", "use"]);
        var className = this.getProps().className;
        var classes = (_a = {},
            _a[TopBar_module_less_1.default.item] = true,
            _a[TopBar_module_less_1.default.buttonActive] = !!active,
            _a[className] = true,
            _a);
        if (use !== 'default') {
            var useClassName = ('use-' + use);
            classes[TopBar_module_less_1.default[useClassName]] = true;
        }
        var iconClasses = (_b = {},
            _b[TopBar_module_less_1.default.icon] = !!icon,
            _b[TopBar_module_less_1.default.iconOnly] = !!iconOnly,
            _b);
        return (React.createElement("div", tslib_1.__assign({}, rest, { className: Emotion_1.cx(classes), onClick: _onClick, onKeyDown: _onKeyDown, style: { minWidth: minWidth } }),
            icon && (React.createElement("span", { className: Emotion_1.cx(iconClasses) },
                React.createElement(_20px_1.default, { color: "#666", name: icon }))),
            icon && iconOnly ? null : children));
    };
    Item.propTypes = {
        use: PropTypes.oneOf(['danger', 'pay', 'default']),
    };
    Item.defaultProps = {
        className: '',
        use: 'default',
    };
    return Item;
}(React.Component));
exports.default = Item;
//# sourceMappingURL=Item.js.map