"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
var PropTypes = tslib_1.__importStar(require("prop-types"));
var decorators_1 = require("../LocaleProvider/decorators");
var locale_1 = require("./locale");
var TopBarDropdown_1 = tslib_1.__importDefault(require("./TopBarDropdown"));
var MenuItem_1 = tslib_1.__importDefault(require("../MenuItem"));
var User = /** @class */ (function (_super) {
    tslib_1.__extends(User, _super);
    function User() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    User.prototype.render = function () {
        var _a = this.props, userName = _a.userName, cabinetUrl = _a.cabinetUrl;
        var _b = this.locale, cabinetTitle = _b.cabinetTitle, cabinetSettings = _b.cabinetSettings, cabinetCertificates = _b.cabinetCertificates, cabinetServices = _b.cabinetServices;
        return (React.createElement(TopBarDropdown_1.default, { icon: 'user', label: userName },
            React.createElement("div", { style: { padding: '6px 18px 7px 15px' } },
                React.createElement("b", null, cabinetTitle)),
            React.createElement(MenuItem_1.default, { loose: true, href: cabinetUrl, target: "_blank" }, cabinetSettings),
            React.createElement(MenuItem_1.default, { loose: true, href: cabinetUrl + "/certificates", target: "_blank" }, cabinetCertificates),
            React.createElement(MenuItem_1.default, { loose: true, href: cabinetUrl + "/services", target: "_blank" }, cabinetServices)));
    };
    User.defaultProps = {
        cabinetUrl: 'https://cabinet.kontur.ru',
    };
    User.propTypes = {
        userName: PropTypes.string,
        /**
         * URL для кастомизации ссылок в меню пользователя
         */
        cabinetUrl: PropTypes.string,
    };
    User = tslib_1.__decorate([
        decorators_1.locale('TopBar', locale_1.TopBarLocaleHelper)
    ], User);
    return User;
}(React.Component));
exports.default = User;
//# sourceMappingURL=User.js.map