import * as React from 'react';
import { LayerComponentName } from './ZIndexStorage';
export interface ZIndexProps extends React.HTMLAttributes<HTMLDivElement> {
    /**
     * Приращение к z-index
     */
    delta: number;
    priority: number | LayerComponentName;
    style: React.CSSProperties;
    createStackingContext?: boolean;
    coverChildren?: boolean;
    applyZIndex?: boolean;
    className?: string;
    wrapperRef?: React.Ref<HTMLDivElement> | undefined | null;
}
export default class ZIndex extends React.Component<ZIndexProps> {
    static defaultProps: {
        delta: number;
        priority: number;
        style: {};
        applyZIndex: boolean;
        coverChildren: boolean;
        createStackingContext: boolean;
    };
    static propTypes: {
        delta(props: ZIndexProps): Error | undefined;
    };
    private zIndex;
    constructor(props: ZIndexProps);
    componentWillUnmount(): void;
    render(): JSX.Element;
    private calcZIndex;
}
