import * as React from 'react';
import { StatePropsCombinations, StateType } from './ComponentTable';
import { DefaultizeProps } from '../../lib/utils';
export interface ComponentCombinatorProps<C, P, S> {
    combinations: Array<StatePropsCombinations<P, S>>;
    Component: C;
    presetProps: DefaultizeProps<C, P>;
    presetState: Partial<S>;
}
export declare class ComponentCombinator<T extends React.Component<any, any, any>, C extends React.ComponentType<any>, P extends React.ComponentProps<C>> extends React.Component<ComponentCombinatorProps<C extends React.ComponentClass<P, any> ? React.ClassType<P, T, C> : C, P, StateType<C>>, {
    page: number;
}> {
    static defaultProps: {
        props: never[];
        states: never[];
        presetProps: {};
        presetState: {};
    };
    state: {
        page: number;
    };
    render(): JSX.Element;
    private prevPage;
    private nextPage;
}
