"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var enzyme_1 = require("enzyme");
var React = tslib_1.__importStar(require("react"));
var FocusTrap_1 = tslib_1.__importDefault(require("../FocusTrap"));
function clickOutside() {
    var event = document.createEvent('HTMLEvents');
    event.initEvent('mousedown', true, true);
    document.body.dispatchEvent(event);
}
describe('<FocusTrap>', function () {
    var onBlur;
    var onButtonBlur;
    var focusTrap;
    beforeEach(function () {
        onBlur = jest.fn();
        onButtonBlur = jest.fn();
        focusTrap = enzyme_1.mount(React.createElement(FocusTrap_1.default, { onBlur: onBlur },
            React.createElement("div", null,
                React.createElement("button", { onBlur: onButtonBlur }),
                React.createElement("button", { onBlur: onButtonBlur }))));
    });
    it('Blur not be called', function () {
        var firstButton = focusTrap.find('button').at(0);
        var secondButton = focusTrap.find('button').at(1);
        firstButton.simulate('focus');
        firstButton.simulate('blur');
        secondButton.simulate('blur');
        expect(onButtonBlur).toHaveBeenCalledTimes(2);
        expect(onBlur).not.toHaveBeenCalled();
    });
    it('Blur called one time with clickOutside', function () {
        var firstButton = focusTrap.find('button').at(0);
        var secondButton = focusTrap.find('button').at(1);
        firstButton.simulate('focus');
        firstButton.simulate('blur');
        secondButton.simulate('blur');
        clickOutside();
        expect(onButtonBlur).toHaveBeenCalledTimes(2);
        expect(onBlur).toHaveBeenCalledTimes(1);
    });
});
//# sourceMappingURL=FocusTrap.test.js.map