import * as React from 'react';
import '../../ensureOldIEClassName';
import { InputVisibilityState } from '../../Input/Input';
import { InputProps } from '../../Input';
export interface InputLikeTextProps extends InputProps {
    children?: React.ReactNode;
    innerRef?: (el: HTMLElement | null) => void;
    onFocus?: React.FocusEventHandler<HTMLElement>;
    onBlur?: React.FocusEventHandler<HTMLElement>;
}
interface InputLikeTextState extends InputVisibilityState {
}
export default class InputLikeText extends React.Component<InputLikeTextProps, InputLikeTextState> {
    static defaultProps: {
        size: string;
    };
    state: {
        blinking: boolean;
        focused: boolean;
    };
    private theme;
    private node;
    private blinkTimeout;
    /**
     * @public
     */
    focus(): void;
    /**
     * @public
     */
    blur(): void;
    /**
     * @public
     */
    blink(): void;
    getNode(): HTMLElement | null;
    componentWillUnmount(): void;
    render(): JSX.Element;
    private renderMain;
    private ref;
    private renderPlaceholder;
    private getSizeClassName;
    private handleFocus;
    private handleBlur;
    private renderLeftIcon;
    private renderRightIcon;
    private renderIcon;
}
export {};
