import React from 'react';
export interface LifeCycleProxyProps<T> {
    onDidMount?: (props: T) => void;
    onDidUpdate?: (prevProps: T, props: T) => void;
    onWillUnmount?: (props: T) => void;
    props: T;
}
export default class LifeCycleProxy<T> extends React.Component<LifeCycleProxyProps<T>> {
    componentDidMount(): void;
    componentDidUpdate(prevProps: LifeCycleProxyProps<T>): void;
    componentWillUnmount(): void;
    render(): React.ReactNode;
}
