"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var InternalDateGetter_1 = tslib_1.__importDefault(require("./InternalDateGetter"));
var types_1 = require("./types");
var InternalDateCalculator = /** @class */ (function () {
    function InternalDateCalculator() {
    }
    InternalDateCalculator.calcRangeStartDateComponent = function (type, _a, _b) {
        var year = _a.year, month = _a.month, date = _a.date;
        var startYear = _b.year, startMonth = _b.month, startDate = _b.date;
        if (type === types_1.InternalDateComponentType.Year) {
            return startYear;
        }
        else if (type === types_1.InternalDateComponentType.Month) {
            return year === startYear ? startMonth : InternalDateGetter_1.default.getDefaultMin(type);
        }
        return year === startYear && month === startMonth ? startDate : InternalDateGetter_1.default.getDefaultMin(type);
    };
    InternalDateCalculator.calcRangeEndDateComponent = function (type, _a, _b) {
        var year = _a.year, month = _a.month, date = _a.date;
        var endYear = _b.year, endMonth = _b.month, endDate = _b.date;
        if (type === types_1.InternalDateComponentType.Year) {
            return endYear;
        }
        else if (type === types_1.InternalDateComponentType.Month) {
            return year === endYear ? endMonth : InternalDateGetter_1.default.getDefaultMax(type);
        }
        return year === endYear && month === endMonth
            ? endDate
            : InternalDateGetter_1.default.getDefaultMax(type, { year: year, month: month, date: date });
    };
    InternalDateCalculator.calcShiftValueDateComponent = function (step, prevValue, start, end, isLoop) {
        if (isLoop === void 0) { isLoop = true; }
        var value = step + Number(prevValue);
        if (step !== 0 && (start - value > Math.abs(step) || value - end > Math.abs(step))) {
            return step < 0 ? end : start;
        }
        if (isLoop) {
            return value < start ? end : value > end ? start : value;
        }
        return value < start ? start : value > end ? end : value;
    };
    return InternalDateCalculator;
}());
exports.default = InternalDateCalculator;
//# sourceMappingURL=InternalDateCalculator.js.map