"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var exenv_1 = tslib_1.__importDefault(require("exenv"));
var scrollbarWidth = null;
function getScrollWidth() {
    if (!exenv_1.default.canUseDOM) {
        return 0;
    }
    var body = document.body;
    if (!body) {
        throw Error('There is no "body" element in "document"');
    }
    if (scrollbarWidth !== null) {
        return scrollbarWidth;
    }
    var div = document.createElement('div');
    div.innerHTML = 'a'; // In IE clientWidth is 0 if this div is empty.
    div.style.overflowY = 'scroll';
    body.appendChild(div);
    // At least in jest it's NaN.
    scrollbarWidth = div.offsetWidth - div.clientWidth || 0;
    body.removeChild(div);
    return scrollbarWidth;
}
exports.default = getScrollWidth;
//# sourceMappingURL=getScrollWidth.js.map