"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var DefaultTheme_1 = tslib_1.__importDefault(require("./themes/DefaultTheme"));
var IS_THEME_KEY = '__IS_REACT_UI_THEME__';
var ThemeFactory = /** @class */ (function () {
    function ThemeFactory() {
    }
    ThemeFactory.create = function (theme) {
        var newTheme = Object.create(DefaultTheme_1.default);
        this.constructTheme(newTheme, theme);
        return Object.freeze(newTheme);
    };
    ThemeFactory.isFullTheme = function (theme) {
        // @ts-ignore
        return theme[IS_THEME_KEY] === true;
    };
    ThemeFactory.getDefaultTheme = function () {
        return this.defaultTheme;
    };
    ThemeFactory.overrideDefaultTheme = function (theme) {
        this.constructTheme(this.defaultTheme, theme);
    };
    ThemeFactory.getKeys = function (theme) {
        var keys = [];
        for (; theme != null; theme = Object.getPrototypeOf(theme)) {
            Object.keys(theme).forEach(function (key) {
                if (!keys.includes(key)) {
                    keys.push(key);
                }
            });
        }
        return keys.sort();
    };
    ThemeFactory.constructTheme = function (base, theme) {
        Object.keys(theme).forEach(function (variableName) {
            var descriptor = Object.getOwnPropertyDescriptor(theme, variableName);
            Object.defineProperty(base, variableName, descriptor);
        });
        Object.defineProperty(base, IS_THEME_KEY, {
            value: true,
            writable: false,
            enumerable: false,
            configurable: false,
        });
    };
    ThemeFactory.defaultTheme = Object.create(DefaultTheme_1.default);
    return ThemeFactory;
}());
exports.default = ThemeFactory;
//# sourceMappingURL=ThemeFactory.js.map