"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var variables_flat_module_less_1 = tslib_1.__importDefault(require("../../../components/variables.flat.module.less"));
var ThemeHelpers_1 = require("../ThemeHelpers");
var FLAT_THEME = ThemeHelpers_1.defineInternalTheme(variables_flat_module_less_1.default, {
    btnFontSizeMedium: {
        get: function () {
            return '16px';
        },
    },
    btnCheckedShadowArrow: {
        get: function () {
            return "0 0 0 1px " + this.btnCheckedBg;
        },
    },
    btnCheckedShadowArrowLeft: {
        get: function () {
            return "0 0 0 1px " + this.btnCheckedBg;
        },
    },
    btnFocusBorder: {
        get: function () {
            return "1px solid " + this.borderColorFocus;
        },
    },
    btnCheckedHoverBorderColor: {
        get: function () {
            return this.btnCheckedBg;
        },
    },
    btnDefaultShadowArrowLeft: {
        get: function () {
            return this.btnDefaultShadowArrow;
        },
    },
    btnDefaultCheckedShadowArrow: {
        get: function () {
            return "1px -1px 0 0 rgba(0, 0, 0, 0.15), 0 0 0 1px " + this.btnCheckedBg;
        },
    },
    btnDefaultHoverShadowArrow: {
        get: function () {
            return "1px -1px 0 0 " + this.btnDefaultHoverBorderColor + ", 1px -1px 0 0 " + this.btnDefaultHoverBg + ";";
        },
    },
    btnDefaultHoverShadowArrowLeft: {
        get: function () {
            return "1px -1px 0 0 " + this.btnDefaultHoverBorderColor + ", 1px -1px 0 0 " + this.btnDefaultHoverBg + ";";
        },
    },
    btnDefaultActiveShadowArrow: {
        get: function () {
            return "1px -1px 0 0 " + this.btnDefaultActiveBorderColor + ", 1px -1px 0 0 " + this.btnDefaultActiveBg + ";";
        },
    },
    btnDefaultActiveShadowArrowLeft: {
        get: function () {
            return "1px -1px 0 0 " + this.btnDefaultActiveBorderColor + ", 1px -1px 0 0 " + this.btnDefaultActiveBg + ";";
        },
    },
    btnPrimaryShadowArrow: {
        get: function () {
            return "0 0 0 1px " + this.btnPrimaryDisabledBg + ";";
        },
    },
    btnPrimaryShadowArrowLeft: {
        get: function () {
            return "0 0 0 1px " + this.btnPrimaryDisabledBg + ";";
        },
    },
    btnPrimaryHoverShadowArrow: {
        get: function () {
            return "0 0 0 1px " + this.btnPrimaryHoverBg + ";";
        },
    },
    btnPrimaryHoverShadowArrowLeft: {
        get: function () {
            return "0 0 0 1px " + this.btnPrimaryHoverBg + ";";
        },
    },
    btnPrimaryActiveShadowArrow: {
        get: function () {
            return "0 0 0 1px " + this.btnPrimaryActiveBg + ";";
        },
    },
    btnPrimaryActiveShadowArrowLeft: {
        get: function () {
            return "0 0 0 1px " + this.btnPrimaryActiveBg + ";";
        },
    },
    btnSuccessShadowArrow: {
        get: function () {
            return "0 0 0 1px " + this.btnSuccessDisabledBg + ";";
        },
    },
    btnSuccessShadowArrowLeft: {
        get: function () {
            return "0 0 0 1px " + this.btnSuccessDisabledBg + ";";
        },
    },
    btnSuccessHoverShadowArrow: {
        get: function () {
            return "0 0 0 1px " + this.btnSuccessHoverBg + ";";
        },
    },
    btnSuccessHoverShadowArrowLeft: {
        get: function () {
            return "0 0 0 1px " + this.btnSuccessHoverBg + ";";
        },
    },
    btnSuccessActiveShadowArrow: {
        get: function () {
            return "0 0 0 1px " + this.btnSuccessActiveBg + ";";
        },
    },
    btnSuccessActiveShadowArrowLeft: {
        get: function () {
            return "0 0 0 1px " + this.btnSuccessActiveBg + ";";
        },
    },
    btnDangerShadowArrow: {
        get: function () {
            return "0 0 0 1px " + this.btnDangerDisabledBg + ";";
        },
    },
    btnDangerShadowArrowLeft: {
        get: function () {
            return "0 0 0 1px " + this.btnDangerDisabledBg + ";";
        },
    },
    btnDangerHoverShadowArrow: {
        get: function () {
            return "0 0 0 1px " + this.btnDangerHoverBg + ";";
        },
    },
    btnDangerHoverShadowArrowLeft: {
        get: function () {
            return "0 0 0 1px " + this.btnDangerHoverBg + ";";
        },
    },
    btnDangerActiveShadowArrow: {
        get: function () {
            return "0 0 0 1px " + this.btnDangerActiveBg + ";";
        },
    },
    btnDangerActiveShadowArrowLeft: {
        get: function () {
            return "0 0 0 1px " + this.btnDangerActiveBg + ";";
        },
    },
    btnPayShadowArrow: {
        get: function () {
            return "0 0 0 1px " + this.btnPayDisabledBg + ";";
        },
    },
    btnPayShadowArrowLeft: {
        get: function () {
            return "0 0 0 1px " + this.btnPayDisabledBg + ";";
        },
    },
    btnPayHoverShadowArrow: {
        get: function () {
            return "0 0 0 1px " + this.btnPayHoverBg + ";";
        },
    },
    btnPayHoverShadowArrowLeft: {
        get: function () {
            return "0 0 0 1px " + this.btnPayHoverBg + ";";
        },
    },
    btnPayActiveShadowArrow: {
        get: function () {
            return "0 0 0 1px " + this.btnPayActiveBg + ";";
        },
    },
    btnPayActiveShadowArrowLeft: {
        get: function () {
            return "0 0 0 1px " + this.btnPayActiveBg + ";";
        },
    },
    inputDisabledBorderColor: {
        get: function () {
            return this.inputDisabledBg;
        },
    },
    chbBorder: {
        get: function () {
            return this.btnDefaultBorder;
        },
    },
    chbBorderColorFocus: {
        get: function () {
            return this.borderColorFocus;
        },
    },
    chbHoverBg: {
        get: function () {
            return this.btnDefaultHoverBg;
        },
    },
    chbActiveBg: {
        get: function () {
            return this.btnDefaultActiveBg;
        },
    },
    chbCheckedBg: {
        get: function () {
            return this.borderColorFocus;
        },
    },
    chbBoxIndeterminateBg: {
        get: function () {
            return this.chbCheckedBg;
        },
    },
    radioHoverBg: {
        get: function () {
            return this.chbHoverBg;
        },
    },
    radioActiveBg: {
        get: function () {
            return this.chbActiveBg;
        },
    },
    radioFocusShadow: {
        get: function () {
            return "inset 0 0 0 1px " + this.outlineColorFocus + ";";
        },
    },
    radioCheckedBgColor: {
        get: function () {
            return this.chbCheckedBg;
        },
    },
    textareaDisabledBorderColor: {
        get: function () {
            return this.textareaDisabledBg;
        },
    },
});
exports.default = FLAT_THEME;
//# sourceMappingURL=FlatTheme.js.map